Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.util
Class Validator

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.util.Validator

All Implemented Interfaces:
  OWLValidationConstants

public class Validator
extends Object
implements OWLValidationConstants

Harness to run validation. Takes a URI and attempts to validate as OWL DL. If required, detailed error reports can be generated describing exactly *why* the ontology is not in DL.

        java uk.ac.man.cs.img.owl.util.Validator [options] input [output]

where the options are:

        --output -o output file
        --help -? Print help message

The `input` should be a URL. If output is requested (`` flags), then output will be written to `output` if present, stdout by default.

    $Id: Validator.java,v 1.5 2004/01/08 10:13:56 sean_bechhofer Exp $

Field Summary

Fields inherited from interface org.semanticweb.owl.validation.OWLValidationConstants
`BUILTINREDEFINITION, CARDINALITY, COMPLEMENT, COMPLETE, COMPLEXTRANSITIVE, DATARANGE, DATATYPE, DIFFERENTINDIVIDUAL, DISJOINT, DL, EQUIVALENCE, EQUIVALENTPROPERTY, EXPRESSIONINAXIOM, EXPRESSIONINRESTRICTION, FULL, FUNCTIONAL, INDIVIDUALDATA, INDIVIDUALS, INTERSECTION, INVERSE, INVERSEFUNCTIONAL, LITE, ONEOF, OWLNAMESPACEUSED, PARTIAL, RELATEDINDIVIDUALS, SAMEINDIVIDUAL, SEPARATIONVIOLATION, SUBCLASS, SUBPROPERTY, SYMMETRIC, TRANSITIVE, UNION, UNKNOWN, UNTYPEDINDIVIDUAL, ZEROONECARDINALITY`

Constructor Summary
`Validator()`

Method Summary
`Set` | `getCodes()` Get the condition codes encountered during the processing
`String` | `getHeaders()` Get the headers for condition codes
`boolean` | `getResult()` Get the result of validation
`String` | `getSummary()` Get a summary of the results
`static String` | `level(int l)`
`static void` | `main(String[] args)`
`void` | `setLevel(int level)` Set the required level of validation
`void` | `setURI(URI uri)` Set the URI to validate
`static void` | `usage()`
`void` | `validate()` Do the validation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validator

    public Validator()

Method Detail

### setURI

    public void setURI(URI uri)

  Set the URI to validate

### setLevel

    public void setLevel(int level)

  Set the required level of validation

### getResult

    public boolean getResult()

  Get the result of validation

### getCodes

    public Set getCodes()

  Get the condition codes encountered during the processing

### getSummary

    public String getSummary()

  Get a summary of the results

### getHeaders

    public String getHeaders()

  Get the headers for condition codes

### validate

    public void validate()
                  throws OWLException

  Do the validation

    `OWLException`

### main

    public static void main(String[] args)

### usage

    public static void usage()

### level

    public static String level(int l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb